org.apache.avro.util

## Class ReusableByteArrayInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream
    - - org.apache.avro.util.ReusableByteArrayInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class ReusableByteArrayInputStream
      extends ByteArrayInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayInputStream

      `buf, count, mark, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReusableByteArrayInputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setByteArray(byte[] buf, int offset, int length)`

    - ### Methods inherited from class java.io.ByteArrayInputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.InputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReusableByteArrayInputStream

          public ReusableByteArrayInputStream()

  - ### Method Detail

    - #### setByteArray

          public void setByteArray(byte[] buf,
                                   int offset,
                                   int length)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.